Bug 173424 - [MAINTAINER] games/glightoff: Fixed NLS, removed notes
Summary: [MAINTAINER] games/glightoff: Fixed NLS, removed notes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus von Appen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-06 16:30 UTC by nemysis
Modified: 2012-12-25 14:30 UTC (History)
1 user (show)

See Also:


Attachments
glightoff-1.0.0_1.patch (753 bytes, patch)
2012-11-06 16:30 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-11-06 16:30:00 UTC
Makefile changed:

Only with ! works
-.if empty(PORT_OPTIONS:MNLS)
+.if !${PORT_OPTIONS:MNLS}

Removed because is default
-NLS_DESC=	Native Language Support via gettext
-OPTIONS_DEFAULT=	NLS

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean
Comment 1 Marcus von Appen freebsd_committer freebsd_triage 2012-12-22 11:03:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mva

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-12-25 14:28:42 UTC
Author: mva
Date: Tue Dec 25 14:28:20 2012
New Revision: 309484
URL: http://svnweb.freebsd.org/changeset/ports/309484

Log:
  - Fix NLS option behaviour
  
  PR:		ports/173424
  Submitted by:	nemysis <nemysis@gmx.ch> (maintainer)

Modified:
  head/games/glightoff/Makefile

Modified: head/games/glightoff/Makefile
==============================================================================
--- head/games/glightoff/Makefile	Tue Dec 25 13:12:43 2012	(r309483)
+++ head/games/glightoff/Makefile	Tue Dec 25 14:28:20 2012	(r309484)
@@ -1,13 +1,9 @@
-# New Ports collection makefile for:	glightoff
-# Date created:		21 April 2012
-# Whom:			nemysis@gmx.ch
-#
+# Created by:			nemysis@gmx.ch
 # $FreeBSD$
-#
 
 PORTNAME=	glightoff
 PORTVERSION=	1.0.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}
 
@@ -27,8 +23,6 @@ LDFLAGS+=	-L${LOCALBASE}/lib
 PORTDOCS=	AUTHORS ChangeLog NEWS README TODO
 
 OPTIONS_DEFINE=	NLS
-NLS_DESC=	Native Language Support via gettext
-OPTIONS_DEFAULT=	NLS
 
 .include <bsd.port.options.mk>
 
@@ -40,17 +34,14 @@ PLIST_SUB+=	NLS="@comment "
 .endif
 
 post-configure:
-.if empty(PORT_OPTIONS:MNLS)
+.if !${PORT_OPTIONS:MNLS}
 	@${REINPLACE_CMD} 's|src po|src|' ${WRKSRC}/Makefile
 .endif
 
 post-install:
-# Documentation
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
-.  for f in ${PORTDOCS}
-	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
-.  endfor
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Marcus von Appen freebsd_committer freebsd_triage 2012-12-25 14:28:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!